> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rio.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm crypto payment

<Note>
  This endpoint is only meant to be called in our sandbox environment to simulate a successful crypto payment. Crypto payments are processed automatically in our production environment.
</Note>

### Requirements to consume the endpoint.

<CardGroup cols={2}>
  <Card title="Create and modify role" icon="user-lock">
    The user must have the role to create and modify.
  </Card>

  <Card title="User approved" icon="check">
    The user must be approved in at least one country.
  </Card>
</CardGroup>


## OpenAPI

````yaml post /api/payments/crypto/check
openapi: 3.0.0
info:
  version: v1.0.0
  title: Crypto payments API
  description: API for managing Crypto payments in the Rio platform
servers:
  - url: https://app.sandbox.rio.trade
security:
  - apiKeyAuth: []
paths:
  /api/payments/crypto/check:
    post:
      summary: Confirm crypto payment
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/checkCryptoPaymentSchema'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseCheckCryptoPaymentSchema'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/unauthorizedSchema'
          description: Unauthorized
components:
  schemas:
    checkCryptoPaymentSchema:
      type: object
      properties:
        orderId:
          type: string
          description: The ID of the order.
          example: 66290ac8bd3903485989f82e
      required:
        - orderId
    responseCheckCryptoPaymentSchema:
      type: string
      example: OK
    unauthorizedSchema:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: number
                example: 19
              message:
                type: string
                example: Not authorized
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````